# API

{% hint style="warning" %}
This section is intended for developers utilizing our APIs to add channels.
{% endhint %}

Below you will find the keys to generate secret payloads for adding or updating a channel via the [Script API](https://docs.edgetag.io/api/api/script).

Refer to the [onboarding](/channels/taboola/onboarding.md) page for detailed information on the purpose and usage of each input.

### TABOOLA\_QUERY\_KEY <a href="#taboolaquerykey" id="taboolaquerykey"></a>

Use for storing the query parameter name used to capture Taboola click IDs in your campaign tracking URLs.

**Example value**

tabclid

**Type**\
TEXT

**Optional**\
false

### TABOOLA\_MAPPED\_EVENTS <a href="#taboolamappedevents" id="taboolamappedevents"></a>

Use for storing the event mapping configuration as a stringified array of arrays. Each sub-array contains two elements: the EdgeTag event name and the corresponding Taboola conversion event name.

**Example value**

```
'[["Purchase","blotout_purchase"],["AddToCart","blotout_add_to_cart"],["PageView","blotout_page_view"]]' 
```

**Type**\
TEXT

**Optional**\
false

### TABOOLA\_ALLOWED\_EVENTS <a href="#taboolaallowedevents" id="taboolaallowedevents"></a>

{% hint style="warning" %}
**Deprecated** - Use [`TABOOLA_MAPPED_EVENTS`](#taboolamappedevents) instead. This field is maintained for backward compatibility only.
{% endhint %}

**Example value**

```
"Purchase,AddToCart,PageView"
```

**Type**\
TEXT

**Optional**\
true


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.edgetag.io/channels/taboola/api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
